<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/maincore.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
       
require_once"../template/isset.php";       
       
$uz=check($uz);  
$log=check($log); 
$config_ignorlist=10;


$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
	
echo'<img src="../images/img/partners.gif" alt=""> Игнор-лист<br><br>';	
	
//------------------------- Игнор-лист ---------------------------------//	
	
	
if(!isset($action)){
	
$file = file("../local/dataignor/$log.dat");
$file = array_reverse($file);
$total = count($file);    
if($total<1){echo'<br><img src="../images/img/reload.gif" alt=""> <b>Игнор-лист пуст!</b><br><br>';}
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_ignorlist){ $end = $total; }
else {$end = $start + $config_ignorlist; }
for ($i = $start; $i < $end; $i++){



$data = explode("|",$file[$i]);
$num=$total-$i-1;
$i2=round($i+1);

echo '<img src="../images/img/chel.gif" alt=""> '.$i2.'. <b><a href="anketa.php?uz='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> ';
echo '<a href="ignor.php?action=del&amp;line='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Удалить]</a><br><hr>';



}

if ($start != 0) {echo '<a href="ignor.php?start='.($start - $config_ignorlist).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_ignorlist) {echo ' <a href="ignor.php?start='.($start + $config_ignorlist).'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}
	
	
	
if($config_themes!=="wml"){	
echo '<hr><form method="post" action="ignor.php?action=add&amp;start='.$start.'&amp;'.SID.'">';
echo 'Логин юзера:<br><input name="uz" /><br>';
echo '<input value="Игнор" type="submit" /></form>';

}else{
	
echo'<br>--------------------<br>Логин юзера:<br>';
echo'<input name="uz"/><br>';
echo'<anchor>Игнор';
echo'<go href="ignor.php?action=add&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>';
}	

if($total>1){echo'<br><img src="../images/img/error.gif" alt=""> <a href="ignor.php?action=alldel&amp;'.SID.'">Очистить список</a>';}	
}




//------------------------- Добавление в игнор ---------------------------------//
if($action=="add"){ 
$proverka = file("../local/profil/$uz.prof"); 
$ster=strlen($uz);
if (!empty($proverka) && $ster>0){
	
$file = file("../local/dataignor/$log.dat");
$total = count($file);  

$iglines=file("../local/dataignor/$log.dat");
$igcount=count($iglines);
for ($ign=0; $ign<$igcount; $ign++) { 
list(,$igbase)=explode("|",$iglines[$ign]); 
if ($uz == $igbase) {$result="ok"; }}

if(!empty($uz) && $total<50 && !eregi("[^a-z0-9-]",$uz) && $result!="ok" && $uz!=$log){
	
//------------------------------Уведомление по привату------------------------//

$filesize= filesize(BASEDIR."local/privat/$uz.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);
if($pers<99){
	
$mess=base64_encode("Пользователь $log добавил вас в игнор-лист, теперь вы не сможете отправлять ему письма!");
$tex=$log.'|'.$mess.'|'.$currDate.' / '.$currTime.'|'; 
	
$fp=fopen(BASEDIR."local/privat/$uz.$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
}		
	
	
	
$fp=fopen("../local/dataignor/$log.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"|$uz|\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN);                                           
fclose($fp);  
chmod ($fp, 0666);
chmod ("../local/dataignor/$log.dat", 0666);

header ("Location: ignor.php?start=$start&isset=ignor_add&".SID);       
}else{header ("Location: ignor.php?start=$start&isset=ignor_noadd&".SID); }
}else{header ("Location: ignor.php?start=$start&isset=noadduzer&".SID); }
}


//--------------------------- Удаление из игнора----------------------------------//
if($action=="del"){
if($line!=""){
 
$file = file("../local/dataignor/$log.dat");
$fp=fopen("../local/dataignor/$log.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$line) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: ignor.php?start=$start&isset=ignor_del&".SID);    
}else{header ("Location: ignor.php?start=$start&isset=ignor_nodel&".SID); }

}


//---------------------------------------- ОЧИСТКА СПИСКА -------------------------------------------//
if($action=="alldel"){
$fp=fopen("../local/dataignor/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fflush ($fp);
flock ($fp,LOCK_UN);	
header ("Location: ignor.php?start=$start&".SID);	
}


	
} else{ echo'Вы не авторизованы,<br> для просмотра Игнор-листа необходимо <a href="vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="registration.php?'.SID.'"> зарегистрироваться</a><br><br>';}



echo'<br><img src="../images/img/back.gif" alt=""> <a href="privat.php?'.SID.'">В приват</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>